%{?nodejs_find_provides_and_requires}

%global packagename coffee-coverage

# Tests failing upstream: https://github.com/benbria/coffee-coverage/issues/84
%global enable_tests 0

Name:		nodejs-coffee-coverage
Version:	2.0.1
Release:	2%{?dist}
Summary:	Istanbul and JSCoverage-style instrumentation for CoffeeScript files

License:	MIT
URL:		https://github.com/benbria/coffee-coverage
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source3:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(coffee-script)
BuildRequires:	npm(lodash)
BuildRequires:	npm(minimatch)
BuildRequires:	npm(pkginfo)

%if 0%{?enable_tests}
BuildRequires:	npm(benchmark)
BuildRequires:	npm(chai)
BuildRequires:	npm(mocha)
BuildRequires:	npm(sinon)
%endif

%description
Istanbul and JSCoverage-style instrumentation for CoffeeScript files.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package
%autosetup -T -D -a 3 -n package

%nodejs_fixdep lodash

%build
%nodejs_symlink_deps --build
%{_bindir}/coffee -c -o lib src
rm -rf node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md docs/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-2
- Disabling tests, as they are failing upstream

* Thu Sep 21 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.1-1
- Update to upstream 2.0.1 release

* Mon Aug  8 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
